- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ReaderWriterDW.cpp File Reference

`#include <stdio.h>`
`#include <string.h>`
`#include <osg/CullFace>`
`#include <osg/Geode>`
`#include <osg/Group>`
`#include <osg/Geometry>`
`#include <osg/Light>`
`#include <osg/LightSource>`
`#include <osg/Material>`
`#include <osg/Texture2D>`
`#include <osg/TexEnv>`
`#include <osg/StateSet>`
`#include <osg/Notify>`
`#include <osgDB/FileNameUtils>`
`#include <osgDB/Registry>`
`#include <osgDB/ReadFile>`
`#include <osgDB/FileUtils>`
`#include <osg/GLU>`

Include dependency graph for ReaderWriterDW.cpp:

## Defines
#define | CALLBACK
## Functions
int | dwfgets (char *clin, int max, FILE *fin)
void CALLBACK | myFaceBegin (GLenum op)
void CALLBACK | myFaceEnd ()
void CALLBACK | myVertex (void *pv)
void CALLBACK | combineCallback (GLdouble coords[3], avertex *d[4], GLfloat w[4], avertex **dataOut, _dwobj *dwob)
void CALLBACK | error (GLenum errno)
## Variables
osgDB::RegisterReaderWriterProxy< ReaderWriterDW > | g_readerWriter_DW_Proxy

## Define Documentation

#define CALLBACK

## Function Documentation

void CALLBACK combineCallback | ( | GLdouble | coords[3],
|  | avertex * | d[4],
|  | GLfloat | w[4],
|  | avertex ** | dataOut,
|  | _dwobj * | dwob
| ) |

int dwfgets | ( | char * | clin,
|  | int | max,
|  | FILE * | fin
| ) |

void CALLBACK error | ( | GLenum | errno | ) |

void CALLBACK myFaceBegin | ( | GLenum | op | ) |

void CALLBACK myFaceEnd | ( |  | ) |

void CALLBACK myVertex | ( | void * | pv | ) |

## Variable Documentation

osgDB::RegisterReaderWriterProxy<ReaderWriterDW> g_readerWriter_DW_Proxy